Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler
Class CommandLineParser.HeritrixHelpFormatter

    java.lang.Object
      org.apache.commons.cli.HelpFormatter
          org.archive.crawler.CommandLineParser.HeritrixHelpFormatter

Enclosing class:
  CommandLineParser

    public class CommandLineParser.HeritrixHelpFormatter

extends org.apache.commons.cli.HelpFormatter

Override so can customize usage output.

Version:
  $Id: CommandLineParser.java 4551 2006-08-29 00:47:56Z stack-sf $
Author:
  stack

Field Summary

Fields inherited from class org.apache.commons.cli.HelpFormatter
`DEFAULT_ARG_NAME, DEFAULT_DESC_PAD, DEFAULT_LEFT_PAD, DEFAULT_LONG_OPT_PREFIX, DEFAULT_OPT_PREFIX, DEFAULT_SYNTAX_PREFIX, DEFAULT_WIDTH, defaultArgName, defaultDescPad, defaultLeftPad, defaultLongOptPrefix, defaultNewLine, defaultOptPrefix, defaultSyntaxPrefix, defaultWidth`

Constructor Summary
`CommandLineParser.HeritrixHelpFormatter()`

Method Summary
`void` | `printUsage(java.io.PrintWriter pw, int width, java.lang.String cmdLineSyntax)`
`void` | `printUsage(java.io.PrintWriter pw, int width, java.lang.String app, org.apache.commons.cli.Options options)`

Methods inherited from class org.apache.commons.cli.HelpFormatter
`createPadding, findWrapPos, printHelp, printHelp, printHelp, printHelp, printHelp, printHelp, printHelp, printHelp, printOptions, printWrapped, printWrapped, renderOptions, renderWrappedText, rtrim`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandLineParser.HeritrixHelpFormatter

    public CommandLineParser.HeritrixHelpFormatter()

Method Detail

### printUsage

    public void printUsage(java.io.PrintWriter pw,
                           int width,
                           java.lang.String cmdLineSyntax)

  Overrides:
    `printUsage` in class `org.apache.commons.cli.HelpFormatter`

### printUsage

    public void printUsage(java.io.PrintWriter pw,
                           int width,
                           java.lang.String app,
                           org.apache.commons.cli.Options options)

  Overrides:
    `printUsage` in class `org.apache.commons.cli.HelpFormatter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.